//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop

#include "SMTPPassDlgs.h"
#include "global.h"
//---------------------------------------------------------------------------
#pragma resource "*.dfm"
TSMTPPassDlg *SMTPPassDlg;
//---------------------------------------------------------------------------
bool __fastcall SMTPGetHostPassword(TForm *Owner, AnsiString &Host, AnsiString &Password)
{
   SMTPPassDlg = new TSMTPPassDlg(Owner);
   SMTPPassDlg->Password->Text = Password;
   if (!Host.IsEmpty())
   {
      SMTPPassDlg->ActiveControl = SMTPPassDlg->Password;
      SMTPPassDlg->Caption = "Enter Password Required";
      SMTPPassDlg->Host->ParentColor = true;
      SMTPPassDlg->Host->ReadOnly = true;
      SMTPPassDlg->Host->Text = Host;
   }
   SMTPPassDlg->ShowModal();
   bool ok = SMTPPassDlg->ModalResult==mrOk;
   delete SMTPPassDlg;
   return ok;
}
//---------------------------------------------------------------------------
__fastcall TSMTPPassDlg::TSMTPPassDlg(TComponent* Owner)
	: TForm(Owner)
{
   CenterDialog(this,(TForm*)Owner);
}
//---------------------------------------------------------------------------
void __fastcall TSMTPPassDlg::HideTypeClick(TObject *Sender)
{
   if (HideType->Checked) Password->PasswordChar = '*';
   else Password->PasswordChar = '\0';
}
//---------------------------------------------------------------------------
void __fastcall TSMTPPassDlg::FormCloseQuery(TObject *Sender, bool &CanClose)
{
   if (ModalResult==mrOk && Host->Text.Pos(".")==0)
   {
      MsgBoxHwnd(Handle,
         s("The host name specified is not a valid host name. It must\n")+
         s("contain at least 1 period ('.') Yours has none at all !"),
         s("Host Name Error"), MB_OK);
      CanClose = false;
      return;
   }
}
//---------------------------------------------------------------------------